;+
; NAME:
;     PR_PATROLS
; PURPOSE:
;    print details of the patrol images for a given time
; CATEGORY:
; CALLING SEQUENCE:
;    pr_patrols, t1
; INPUTS:
; OPTIONAL (KEYWORD) INPUT PARAMETERS:
; OUTPUTS:
; COMMON BLOCKS:
; SIDE EFFECTS:
; RESTRICTIONS:
; MODIFICATION HISTORY:
;    19-sep-01, written by HSH
;-

pro pr_patrols, t1, $
  qdebug=qdebug
files = findfile('$DIR_SXT_ATABLES/tab*')
nfiles = n_elements(files)
tabtimes = fltarr(nfiles)
for i = 0, nfiles-1 do begin
  tt = intarr(7)
  mon = fix(strmid(files(i),32,2))
  day = fix(strmid(files(i),34,2))
  yr = fix(strmid(files(i),30,2))
  if yr gt 50 then yr = yr + 1900 
  if yr lt 50 then yr = yr + 2000
  tt(4) = day
  tt(5) = mon
  tt(6) = yr
  tabtimes(i) = anytim(tt)
endfor
ss = sort(tabtimes)
tabtimes = tabtimes(ss)
files = files(ss)
tref = tim2dset(anytim(tabtimes,/yoh),t1)
print,files(tref)
gtab_patrols,files(tref),/verbose
if n_elements(qdebug) ne 0 then stop
end
